=== debian/changelog ===
miro (3.0.3-1ubuntu1) maverick; urgency=low

  * fix LP: #615219 - miro does not install; relax dependency on python-dbus
    to >= 0.83.0 since it should be new enough
    - update debian/control 

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 10 Aug 2010 00:10:57 -0500

miro (3.0.3-1) unstable; urgency=low

  * New upstream release (Closes: #588299).
     + Upstream now uses webkit instead of xulrunner (Closes: 499652).
     + Fixes broken Youtube downloads.
  * debian/copyright: Various updates, drop obsolete entries.
  * README.Debian: Mention libwebkit-1.0-2-dbg as useful for debugging.
  * Standards-Version: 3.9.1 (no changes required).
  * debian/patches/:
     + 10_movies_dir.patch: Update.
     + 50_miro_debug_fix.patch: Update.
     + 102_xulrunner_bug_workaround.patch: Drop, obsolete.
     + Make all patches work with -p1 and add descriptions for all of them.
  * Use new '3.0 (quilt)' source format.
  * No longer use deprecated cdbs 'simple-patchsys.mk'.
  * Drop no longer needed build-dependencies:
    + python-libtorrent (>= 0.14.10-2)
    + libtorrent-rasterbar-dev (>= 0.14.10-2)
    + python-gnome2-extras-dev (>= 2.19.1)
    + xulrunner-dev (>= 1.9.1)
    + libxv-dev
    + libssl-dev
    + libffi-dev
  * Drop no longer needed dependencies:
    + python-gtkmozembed (>= 2.19.1) | python-gnome2-extras (>= 2.19.1)
    + xulrunner-1.9.1
  * Drop democracyplayer, democracyplayer-data transitional packages.
  * Use versioned python-dbus (>= 0.83.1) dependency (Closes: #587963).
  * Use versioned python-gst0.10 (>= 0.10.18-2) dependency (Closes: #580609).

 -- Uwe Hermann <uwe@debian.org>  Sat, 31 Jul 2010 20:00:43 +0200

miro (3.0.1-2) unstable; urgency=low

  * Make xulrunner-dev build-dependency versioned (>= 1.9.1), as we use
    xulrunner-1.9.1 as (runtime) dependency.
  * README.Debian: Change left-over Python 2.5 text to 2.6 (Closes: #579904).
  * Fix FTBFS: s/python2.6/python2.6-dev/ (Closes: #580008).

 -- Uwe Hermann <uwe@debian.org>  Mon, 03 May 2010 19:29:22 +0200

miro (3.0.1-1) unstable; urgency=low

  * New upstream release.
  * Switch to Python 2.6 (Closes: #574753).
     + Build-depend on python-libtorrent (>= 0.14.10-2) as this is the first
       version of the package built with Python 2.6 support.
  * Include some more bugfix patches from Ubuntu:
     + 100_catch_keyerror_in_update_items.patch
     + 101_player_undefined_elapsed_time.patch
     + 102_xulrunner_bug_workaround.patch

 -- Uwe Hermann <uwe@debian.org>  Sat, 01 May 2010 14:07:05 +0200

miro (3.0-1) unstable; urgency=low

  * New upstream release (Closes: #575463).
     + The xine backend was removed upstream, we use gstreamer only now.
     + Drop (build-)dependency on all Boost packages, no longer used upstream.
     + debian/patches/20_no_autoupdate.patch: Update.
     + debian/patches/30_disable_xine_hack.patch: Drop, obsolete.
     + debian/patches/40_boost_python.patch: Drop, obsolete.
     + debian/patches/80_xine_default_renderer.patch: Drop, obsolete.
  * Closing non-reproducible bugs with this release. Please reopen if needed.
     + "No sound when playing videos" (Closes: #527261).
     + "Two internal errors on startup" (Closes: #557347).
     + "Miro "internal error" and odd behavior" (Closes: #574822).
     + "Miro crashes after starts playing a video" (Closes: #522102).
  * Standards-Version: 3.8.4 (no changes required).
  * debian/miro.docs: Add ADOPTERS file.
  * debian/README.Debian: Drop xine related sections.
  * debian/rules: Simplified clean target.
  * debian/copyright: Updates (Boost and libtorrent stuff is gone).

 -- Uwe Hermann <uwe@debian.org>  Sun, 28 Mar 2010 01:02:12 +0200

miro (2.5.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Change xulrunner-1.9 to xulrunner-1.9.1 (Closes: #557726).

 -- Uwe Hermann <uwe@debian.org>  Sun, 13 Dec 2009 17:59:01 +0100

miro (2.5.3-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.8.3 (no changes required).
  * Depend on python-gconf instead of python-gnome2. The latter will be
    deprecated and miro only uses the gconf part anyway (Closes: #541576).
  * Fix "FTBFS: ld: cannot find -lboost_python-mt" (Closes: #551220).
  * Update debian/watch to also catch new upstream tarball names.

 -- Uwe Hermann <uwe@debian.org>  Sat, 24 Oct 2009 02:30:13 +0200

miro (2.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Hermann <uwe@debian.org>  Sat, 01 Aug 2009 15:23:08 +0200

miro (2.5.1-1) unstable; urgency=low

  * New upstream release.
    + debian/patches/90_handle_charref.patch: Drop, merged upstream.
    + debian/patches/95_esc.patch: Drop, merged upstream.
    + debian/patches/30_disable_xine_hack.patch: Update.
    + debian/patches/80_xine_default_renderer.patch: Update.
  * Add usr/share/icons/ to miro.install so the new icons get installed.

 -- Uwe Hermann <uwe@debian.org>  Fri, 24 Jul 2009 15:44:13 +0200

miro (2.0.5-1) unstable; urgency=low

  * New upstream release.
     + This should fix Youtube download errors in miro.
     + debian/patches/40_mozsetup_fix.patch: Drop, no longer required.
     + debian/patches/60_boost_mt.patch: Drop, no longer required.
     + debian/patches/70_gst_extractor_fix.patch: Drop, no longer required.
     + debian/patches/85_pysqlite.patch: Drop, no longer required.
  * Standards-Version: 3.8.2 (no changes required).
  * debian/rules: Drop dh_desktop call (lintian).

 -- Uwe Hermann <uwe@debian.org>  Fri, 26 Jun 2009 21:29:54 +0200

miro (2.0.4-3) unstable; urgency=low

  * debian/patches/85_pysqlite.patch: Add (Closes: #528212).
    This fixes the "Miro was unable to save its database: Disk Full" problems.
  * debian/rules: Move some Makefile rule around again so all unneeded
    test* files get deleted.

 -- Uwe Hermann <uwe@debian.org>  Mon, 22 Jun 2009 18:43:54 +0200

miro (2.0.4-2) unstable; urgency=low

  * Add upstream patch debian/patches/40_mozsetup_fix.patch in order to fix

