=== debian/control ===
Source: miro
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Uwe Hermann <uwe@debian.org>
Build-Depends: cdbs (>= 0.4.43),
               debhelper (>= 7.0.50~),
               python2.6-dev,
               python-support (>= 0.6),
               python-pyrex (>= 0.9.6.4),
               python-gtk2-dev,
               pkg-config,
Standards-Version: 3.9.1
Homepage: http://www.getmiro.com

Package: miro
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-dbus (>= 0.83.0),
         python-gtk2,
         python-gconf,
         python-glade2,
         python-pysqlite2,
         python-libtorrent (>= 0.14.10-2),
         python-gst0.10 (>= 0.10.18-2),
         gstreamer0.10-x (>= 0.10.0),
         gstreamer0.10-ffmpeg (>= 0.10.0),
         gstreamer0.10-plugins-base (>= 0.10.0),
         gstreamer0.10-plugins-good (>= 0.10.0),
         gstreamer0.10-plugins-bad (>= 0.10.0),
         python-webkit,
         miro-data (>= 3.0.3-1)
Recommends: python-psyco [i386 hurd-i386 netbsd-i386 kfreebsd-i386]
Suggests: ttf-dejavu,
          python-notify,
          gstreamer0.10-plugins-ugly (>= 0.10.0)
Conflicts: miro-data (<< 1.2.1)
Description: GTK+ based RSS video aggregator
 Miro (previously known as Democracy Player) is a platform for Internet
 television and video.
 It allows you to download and watch videos from RSS feeds (including
 podcasts, video blogs, and BitTorrent feeds).

Package: miro-data
Architecture: all
Depends: ${misc:Depends}
Description: GTK+ based RSS video aggregator data files
 Miro (previously known as Democracy Player) is a platform for Internet
 television and video.
 It allows you to download and watch videos from RSS feeds (including
 podcasts, video blogs, and BitTorrent feeds).
 .
 This package contains the data files for Miro.
