=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM = pysupport

# Must be included before python-distutils.mk to use dh_python/dh_pysupport.
include /usr/share/cdbs/1/rules/debhelper.mk

include /usr/share/cdbs/1/rules/utils.mk

# Use Python distutils to install the package.
include /usr/share/cdbs/1/class/python-distutils.mk

# Must come after python-distutils.mk.
DEB_PYTHON_SETUP_CMD := platform/gtk-x11/setup.py

# The default argument is '-a', which Miro's setup.py doesn't seem to support.
DEB_PYTHON_CLEAN_ARGS := 

# Install everything into debian/tmp, as we have a multi-binary package.
DEB_DH_INSTALL_SOURCEDIR := debian/tmp

# Reduce the number of unneeded dependencies with --as-needed.
LDFLAGS += "-Wl,--as-needed"

# Workaround for a cdbs issue/bug, see #525436.
common-binary-arch common-binary-indep:: miro-fixup
miro-fixup: install/miro

binary-post-install/miro::
	@# Add a few more READMEs.
	cp platform/gtk-x11/README \
		debian/miro/usr/share/doc/miro/README.gtk-x11
	cp portable/frontends/cli/README \
		debian/miro/usr/share/doc/miro/README.cli

binary-post-install/miro::
	@# Remove unneeded files from the miro deb.
	rm -rf debian/miro/usr/share/pyshared/miro/test

binary-post-install/miro-data::
	@# Remove unneeded files from the miro-data deb.
	rm -rf debian/miro-data/usr/share/miro/resources/testdata

clean::
	cd platform/gtk-x11/ && make clean

# For /usr/share/cdbs/1/rules/utils.mk sanity check.
common-binary-post-install-arch:: list-missing
