=== debian/changelog ===
miro (3.5.1-1ubuntu1) natty; urgency=low

  * Merge from debian.  Remaining ubuntu changes:
    - Use python 2.7 instead of python 2.6
    - Relax dependency on python-dbus to >= 0.83.0

 -- Bryce Harrington <bryce@ubuntu.com>  Sat, 22 Jan 2011 02:46:33 -0800

miro (3.5.1-1) experimental; urgency=low

  * New upstream release (Closes: #601903).
    + Fixes "mousewheel does not change loudness" (Closes: #583690).
    + Add new dependency: python-pycurl.
    + Add new build-dependency: libwebkit-dev.
  * Close bugs that cannot be reproduced in this release. Please feel free
    to re-open if there are still issues.
    + "Segfault when moving volume slider during playback" (Closes: #579860).
    + "Fails to generate thumbnails" (Closes: #580962).
  * Drop no longer needed patches, update others:
    + 20_no_autoupdate.patch: Drop, no longer needed.
    + 101_player_undefined_elapsed_time.patch: Drop, fixed upstream.
    + 100_catch_keyerror_in_update_items.patch: Update.
    + 10_movies_dir.patch: Update.
    + 50_miro_debug_fix.patch: Update.

 -- Uwe Hermann <uwe@debian.org>  Sat, 11 Dec 2010 17:45:51 +0100

miro (3.0.3-1ubuntu3) natty; urgency=low

  * debian/control: Rebuild with build-dep on python2.7-dev rather than
    python2.6-dev. (LP: #688103)
  * debian/pyversions: Change version to 2.7

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Thu, 09 Dec 2010 19:12:09 +0300

miro (3.0.3-1ubuntu2) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 15:06:03 +0000
