=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 XSBC-Original-Maintainer: Uwe Hermann <uwe@debian.org>
 Build-Depends: cdbs (>= 0.4.43),
                debhelper (>= 7.0.50~),
-               python2.6-dev,
+               python2.7-dev,
                python-support (>= 0.6),
                python-pyrex (>= 0.9.6.4),
                python-gtk2-dev,
+               libwebkit-dev,
                pkg-config,
 Standards-Version: 3.9.1
 Homepage: http://www.getmiro.com
@@ -31,7 +32,8 @@
          gstreamer0.10-plugins-good (>= 0.10.0),
          gstreamer0.10-plugins-bad (>= 0.10.0),
          python-webkit,
-         miro-data (>= 3.0.3-1)
+         python-pycurl,
+         miro-data (>= 3.5.1-1)
 Recommends: python-psyco [i386 hurd-i386 netbsd-i386 kfreebsd-i386]
 Suggests: ttf-dejavu,
           python-notify,
