=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 include /usr/share/cdbs/1/class/python-distutils.mk
 
 # Must come after python-distutils.mk.
-DEB_PYTHON_SETUP_CMD := platform/gtk-x11/setup.py
+DEB_PYTHON_SETUP_CMD := linux/setup.py
 
 # The default argument is '-a', which Miro's setup.py doesn't seem to support.
 DEB_PYTHON_CLEAN_ARGS := 
@@ -28,10 +28,8 @@
 
 binary-post-install/miro::
 	@# Add a few more READMEs.
-	cp platform/gtk-x11/README \
-		debian/miro/usr/share/doc/miro/README.gtk-x11
-	cp portable/frontends/cli/README \
-		debian/miro/usr/share/doc/miro/README.cli
+	cp linux/README debian/miro/usr/share/doc/miro/README.linux
+	cp lib/frontends/cli/README debian/miro/usr/share/doc/miro/README.cli
 
 binary-post-install/miro::
 	@# Remove unneeded files from the miro deb.
@@ -42,7 +40,7 @@
 	rm -rf debian/miro-data/usr/share/miro/resources/testdata
 
 clean::
-	cd platform/gtk-x11/ && make clean
+	cd linux && make clean
 
 # For /usr/share/cdbs/1/rules/utils.mk sanity check.
 common-binary-post-install-arch:: list-missing
