=== debian/changelog ===
miro (4.0.3-2) unstable; urgency=low

  * Add debian/patches/110_libav_api_changes.patch. This updates miro to
    work with the new ffmpeg/libav API (Closes: #638550).

 -- Uwe Hermann <uwe@debian.org>  Wed, 07 Sep 2011 00:38:16 +0200

miro (4.0.3-1) unstable; urgency=low

  * New upstream release.
     + Fixes YouTube download issues.
     + Fixed upstream: Scary exception: ImportError: No module named
       xinerenderer (Closes: #577397).
     + Fixed upstream: problem with french local (Closes: #632706).
     + No longer occurs: segfaults on startup (Closes: #630119).
  * Change build-dep on libwebkit-dev to libwebkitgtk-dev (Closes: #635421).

 -- Uwe Hermann <uwe@debian.org>  Tue, 16 Aug 2011 23:04:11 +0200

miro (4.0.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
     + 110_miro_segmenter.patch: Drop, fixed upstream.
     + 120_disable_ipv6.patch: Drop, fixed upstream. IPv6 usage is disabled
       for local connections per default, but can be enabled (gconf-editor).
     + 50_miro_debug_fix.patch: Update.
  * debian/rules: Update and simplify the file.

 -- Uwe Hermann <uwe@debian.org>  Sun, 03 Jul 2011 20:30:52 +0200

miro (4.0.1.1-1.1) unstable; urgency=low

  [ Stefano Rivera ]
  * Non-maintainer upload.
  * Build for Python >= 2.6 (closes: #629087):
    - Drop deprecated pycompat.
    - Replace pyversions with XS-Python-Version >= 2.6.
    - Build-depend on python-all-dev instead of python2.6-dev.
    - Un-version shebangs.

 -- Julien Cristau <jcristau@debian.org>  Wed, 29 Jun 2011 16:45:37 +0200

miro (4.0.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #627800).
     + Fixes "miro does not see/recognize .webm files" (Closes: #611594).
     + I cannot reproduce "increases sound volume on play (and doesn't
       reset it)" in this release (Closes: #581436).
       Please re-open the bug in case it still happens.
  * debian/patches/*: Update outdated patches.
     + 110_miro_segmenter.patch: Add, fixes upstream bug.
     + 120_disable_ipv6.patch: Add, disables IPv6 usage for local connections
       for now, there seem to be issues (miro hangs upon startup).
  * debian/rules:
     + Add Build-Depends on libavformat-dev (miro doesn't build otherwise).
     + Add Depends entry on python-mutagen (for audio metadata editing).
     + Add Suggests entry on ffmpeg, ffmpeg2theora (for video conversion).
     + Add Suggests entry on libavahi-compat-libdnssd1 (for "Miro Sharing").
     + Update 'clean' rules.
     + Make some upstream files non-executable to silence lintian.
  * debian/README.Debian: Add some hints for the "Miro Sharing" feature.
  * debian/*.docs: Drop ADOPTERS file, merged into CREDITS upstream.

 -- Uwe Hermann <uwe@debian.org>  Thu, 09 Jun 2011 21:35:59 +0200

miro (3.5.1-2) unstable; urgency=low

  * Upload to unstable.
  * Fix small version issue to simplify backports (Closes: #606856).
    Thanks Daniel Baumann <daniel.baumann@progress-technologies.net>.
  * Standards-Version: 3.9.2 (no changes required).

 -- Uwe Hermann <uwe@debian.org>  Tue, 12 Apr 2011 00:11:36 +0200
