=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: miro
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Uwe Hermann <uwe@debian.org>
+Maintainer: Uwe Hermann <uwe@debian.org>
 Build-Depends: cdbs (>= 0.4.43),
                debhelper (>= 7.0.50~),
-               python2.7-dev,
+               python-all-dev,
                python-support (>= 0.6),
                python-pyrex (>= 0.9.6.4),
                python-gtk2-dev,
-               libwebkit-dev,
+               libwebkitgtk-dev,
+               libavformat-dev,
                pkg-config,
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.getmiro.com
+XS-Python-Version: >= 2.6
 
 Package: miro
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python:Depends},
-         python-dbus (>= 0.83.0),
+         python-dbus (>= 0.83.1),
          python-gtk2,
          python-gconf,
          python-glade2,
@@ -33,11 +34,15 @@
          gstreamer0.10-plugins-bad (>= 0.10.0),
          python-webkit,
          python-pycurl,
-         miro-data (>= 3.5.1-1)
+         python-mutagen,
+         miro-data (>= 4.0.3)
 Recommends: python-psyco [i386 hurd-i386 netbsd-i386 kfreebsd-i386]
 Suggests: ttf-dejavu,
           python-notify,
-          gstreamer0.10-plugins-ugly (>= 0.10.0)
+          gstreamer0.10-plugins-ugly (>= 0.10.0),
+          libavahi-compat-libdnssd1,
+          ffmpeg,
+          ffmpeg2theora
 Conflicts: miro-data (<< 1.2.1)
 Description: GTK+ based RSS video aggregator
  Miro (previously known as Democracy Player) is a platform for Internet
