## miro 4.0.4

=== debian/changelog ===
miro (4.0.4-1.1ubuntu1) trusty; urgency=low

  * Drop gstreamer0.10-ffmpeg to recommends.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Fri, 22 Nov 2013 01:07:51 +0000

miro (4.0.4-1.1build1) trusty; urgency=low

  * No change rebuild against libav 9.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 10 Nov 2013 00:07:00 +0000

miro (4.0.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches:
    - 130_libav9.patch: Fix building with libav 9. (Closes: #720810)
    - 140_use_avconv.patch: Use avconv instead of ffmpeg which is no longer
      built by libav.
  * debian/control: Change Suggests on ffmpeg to libav-tools.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 24 Sep 2013 03:51:11 +0200

miro (4.0.4-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/110_libav_api_changes.patch: Drop, merged upstream.
  * debian/patches/120_miro.desktop.patch: Add file. The "Name" entry should
    not repeat the "GenericName" description. Add DE translation for the
    "GenericName" field (Closes: #640986). Thanks to
    Ronny Standtke <ronny.standtke@fhnw.ch> for the patch.

 -- Uwe Hermann <uwe@debian.org>  Mon, 02 Jan 2012 23:09:28 +0100
