=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: miro
 Section: net
 Priority: extra
-Maintainer: Uwe Hermann <uwe@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Uwe Hermann <uwe@debian.org>
 Build-Depends: cdbs (>= 0.4.43),
                debhelper (>= 7.0.50~),
                python-all-dev,
@@ -28,20 +29,19 @@
          python-libtorrent (>= 0.14.10-2),
          python-gst0.10 (>= 0.10.18-2),
          gstreamer0.10-x (>= 0.10.0),
-         gstreamer0.10-ffmpeg (>= 0.10.0),
          gstreamer0.10-plugins-base (>= 0.10.0),
          gstreamer0.10-plugins-good (>= 0.10.0),
          gstreamer0.10-plugins-bad (>= 0.10.0),
          python-webkit,
          python-pycurl,
          python-mutagen,
-         miro-data (>= 4.0.3)
-Recommends: python-psyco [i386 hurd-i386 netbsd-i386 kfreebsd-i386]
+         miro-data (>= 4.0.4)
+Recommends: python-psyco [i386 hurd-i386 netbsd-i386 kfreebsd-i386], gstreamer0.10-ffmpeg (>= 0.10.0),
 Suggests: ttf-dejavu,
           python-notify,
           gstreamer0.10-plugins-ugly (>= 0.10.0),
           libavahi-compat-libdnssd1,
-          ffmpeg,
+          libav-tools,
           ffmpeg2theora
 Conflicts: miro-data (<< 1.2.1)
 Description: GTK+ based RSS video aggregator
