=== debian/rules ===
--- 
+++ 
@@ -35,12 +35,23 @@
 	@# Remove unneeded files from the miro deb.
 	rm -rf debian/miro/usr/share/pyshared/miro/test
 
+binary-install/miro::
+	@# Fixup shebangs.
+	sed -i -e '1 s,#!.*python.*,#! /usr/bin/python,' debian/miro/usr/bin/*
+
 binary-post-install/miro-data::
 	@# Remove unneeded files from the miro-data deb.
 	rm -rf debian/miro-data/usr/share/miro/resources/testdata
 
 clean::
 	cd linux && make clean
+	rm -f lib/frontends/widgets/infolist/infolist.c
+	rm -f lib/frontends/widgets/gtk/webkitgtkhacks.c
+	rm -f lib/frontends/widgets/gtk/pygtkhacks.c
+	rm -f linux/plat/xlibhelper.c
+	rm -f linux/miro.1.gz
+	rm -f linux/miro.real.1.gz
+	rm -f linux/clean
 
 # For /usr/share/cdbs/1/rules/utils.mk sanity check.
 common-binary-post-install-arch:: list-missing
