=== debian/changelog ===
miro (6.0-1) unstable; urgency=medium

  * Acknowledge NMU, thanks Sebastian Ramacher <sramacher@debian.org>.
  * New upstream release (Closes: #692482, #754232, #764562).
    + Drop linux/contrib/enmfp-codegen/* in upstream tarball, apparently
      there's no source code available for those files.
    + Now build-depends on libtag1-dev, libsqlite3-dev, and libboost1.55-dev.
    + Fixes Youtube/Vimeo download/scraping (Closes: #689826).
  * Standards-Version: 3.9.6 (no changes required).
  * debian/patches:
     + 10_movies_dir.patch: Update.
     + 50_miro_debug_fix.patch: Update.
     + 100_catch_keyerror_in_update_items.patch: Drop (obsolete).
     + 130_libav9.patch: Drop (fixed upstream).
     + 140_use_avconv.patch: Update, drop upstream-merged parts.
     + 150_codec_id.patch: Add, fixes FTBFS due to libav 10 (Closes: #748861).
       Thanks Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>.
     + 160_fixyoutubedl.patch: Fix another Youtube downloads/scraping issue.
  * Drop 'Recommends: python-psyco' (package no longer in the archive).
  * Move 'libav-tools' from 'Suggests' to 'Depends', miro will not properly
    start-up without it.
  * Move gstreamer0.10-ffmpeg from 'Depends' to 'Suggests' for now; the
    package is uninstallable atm (#766988) and seems to be optional for miro.
  * Temporary lintian overrides ("use dh_python2 instead"):
     + miro: depends-on-obsolete-package
     + miro source: build-depends-on-obsolete-package
  * Close long-obsolete request for lenny backport (Closes: #532021).

 -- Uwe Hermann <uwe@debian.org>  Mon, 27 Oct 2014 19:00:45 +0100
