=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: miro
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Uwe Hermann <uwe@debian.org>
+Maintainer: Uwe Hermann <uwe@debian.org>
 Build-Depends: cdbs (>= 0.4.43),
                debhelper (>= 7.0.50~),
                python-all-dev,
@@ -11,8 +10,11 @@
                python-gtk2-dev,
                libwebkitgtk-dev,
                libavformat-dev,
+               libtag1-dev,
+               libsqlite3-dev,
+               libboost1.55-dev,
                pkg-config,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.6
 Homepage: http://www.getmiro.com
 XS-Python-Version: >= 2.6
 
@@ -35,13 +37,13 @@
          python-webkit,
          python-pycurl,
          python-mutagen,
-         miro-data (>= 4.0.4)
-Recommends: python-psyco [i386 hurd-i386 netbsd-i386 kfreebsd-i386], gstreamer0.10-ffmpeg (>= 0.10.0),
+         libav-tools,
+         miro-data (>= 6.0)
 Suggests: ttf-dejavu,
           python-notify,
+          gstreamer0.10-ffmpeg (>= 0.10.0),
           gstreamer0.10-plugins-ugly (>= 0.10.0),
           libavahi-compat-libdnssd1,
-          libav-tools,
           ffmpeg2theora
 Conflicts: miro-data (<< 1.2.1)
 Description: GTK+ based RSS video aggregator
