=== debian/rules ===
--- 
+++ 
@@ -45,6 +45,7 @@
 
 clean::
 	cd linux && make clean
+	cd linux/contrib/echoprint-codegen/src && make clean
 	rm -f lib/frontends/widgets/infolist/infolist.c
 	rm -f lib/frontends/widgets/gtk/webkitgtkhacks.c
 	rm -f lib/frontends/widgets/gtk/pygtkhacks.c
