=== debian/watch ===
version=3
http://ftp.osuosl.org/pub/pculture.org/miro/src/[mM]iro-(.*)\.tar\.gz
